#ifndef _H_TEXTURE_H
#define _H_TEXTURE_H

class Texture
{
public:
	Texture() {}
	bool loadTexture(const char* imagePath);

	void bind();

	const int getWidth()  const { return textureWidth; }
	const int getHeight() const { return textureHeight; }

	~Texture();
private:
	unsigned ID = 0;
	int textureWidth = 0;
	int textureHeight = 0;
};

#endif